<%@page contentType="text/html; charset=GBK"%>
<%@page import="zr.zrpower.entity.sys.SessionUser"%>
<%@page import="zr.zrpower.ejb.sys.UIService"%>
<%@page import="zr.zrpower.queryengine.service.QueryControl"%>

<%@page import="java.lang.Object"%>
<HTML>
<%
  SessionUser user = (SessionUser) session.getAttribute("userinfo");
  QueryControl QueryC = new QueryControl();
  UIService userUI = new UIService();
  String qid=request.getParameter("ID");
  String wd = QueryC.get_query_ts(qid,user.getUserID());
  String up_height = wd.split(",")[0];
  String down_height = wd.split(",")[1];
 %>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">

<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<script src="../../zrsysmanage/html5/script/jquery-2.0.3.min.js" type="text/jscript" ></script>
<script src="../../zrsysmanage/html5/layer/layer.js" type="text/jscript" ></script>
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"  type="text/jscript" ></SCRIPT>
<SCRIPT LANGUAGE="javascript" type="text/jscript" >
function Check(theForm)
{
if(isNaN(theForm.up_height.value) || theForm.up_height.value=="")
{
   <%if("6".equals(user.getUserWINDOWTYPE())){%>
   layer.alert('查询条件高度必须为数字型', {icon: 7});
  <%}else{%>
    alert("查询条件高度必须为数字型！");
  <%}%>
   SetFocus(theForm.up_height);
   return false;
}

if(isNaN(theForm.down_height.value) || theForm.down_height.value=="")
{
   <%if("6".equals(user.getUserWINDOWTYPE())){%>
   layer.alert('表格高度必须为数字型', {icon: 7});
  <%}else{%>
    alert("表格高度必须为数字型！");
  <%}%>
   SetFocus(theForm.down_height);
   return false;
}

 return true;
}

function Check_submit()
{
    if(Check(document.RegForm))
    {
      document.RegForm.submit();
    }
}

</SCRIPT>
</HEAD>
<BODY class="BodyMain">
<FORM name="RegForm" method="post" Action="ConfigResult.jsp" >

<input type=hidden name=ID value="<%=qid%>">
<input type=hidden name="down_height" value="<%=down_height%>">

<!--HTML Head表单头显示[显示内容,图标文件,用户肤色的图片文件夹]-->
<%=userUI.ShowHeadHtml("查询个性化配置","IcoTitle.gif",user.getUserImage())%>

<!--HTML Body Start显示表单开始部分-->
<%=userUI.ShowBodyStartHtml()%>

  <TABLE border='0' width="100%" cellspacing="0" cellpadding="0" valign=center>
    <TR>
      <TD colspan=2 height=23>      </TD>
    </TR>
    <TR>
      <TD class="PutdSet" width="40%">查询条件高度：</TD>
      <TD>
        <input class="text" type="text" name="up_height" size="20" maxlength="4" value="<%=up_height%>">

      </TD>
    </TR>

    <TR>
      <TD colspan=2 height=10>      </TD>
    </TR>

         </TABLE>

                 <center><br>
                 <table cellspacing="0" cellpadding="0" border='0'><tr align="center">
                 <%=userUI.ClickButton("保存","JavaScript:Check_submit();","buttonSave.gif",user.getUserImage())%>
                 <%if(user.getUserWINDOWTYPE().equals("6")){ %>
                    <%=userUI.ClickButton1("关闭","Javascript:parent.layer.closeAll();","buttonClose.gif",user.getUserImage())%>
                 <%}else{ %>
                   <%=userUI.ClickButton1("关闭","window.close();","buttonClose.gif",user.getUserImage())%>
                 <%} %>

                 </tr></table>
                 </center>

  <!--HTML Body End显示表单结束部分-->
<%=userUI.ShowBodyEndHtml()%>  <!--HTML Foot显示表单尾[显示内容，用户肤色的图片文件夹]-->
<%=userUI.ShowFootHtml("",user.getUserImage())%></FORM>
</BODY>
</HTML>
<%
//清空相关对象
user = null;
userUI = null;
QueryC = null;
%>
